import request from '@/config/axios'

export interface DispatchLogVO {

}

export interface DispatchLogPageReqVO extends PageParam {

}

// 查询DispatchLog列表
export const getDispatchLogPage = (params: DispatchLogPageReqVO) => {
  return request.get({ url: '/xmcpms/prod/work/dispatchLog/page', params })
}

// 查询DispatchLog列表
export const getPointList = (params: DispatchLogPageReqVO) => {
  return request.get({ url: '/xmcpms/prod/work/dispatchLog/list', params })
}

// 查询DispatchLog详情
export const getDispatchLog = (id: number) => {
  return request.get({ url: `/xmcpms/prod/work/dispatchLog/info/${id}`})
}

// 新增DispatchLog
export const createDispatchLog = (data: DispatchLogVO) => {
  return request.post({ url: '/xmcpms/prod/work/dispatchLog/create', data })
}

// 修改DispatchLog
export const updateDispatchLog = (data: DispatchLogVO) => {
  return request.put({ url: '/xmcpms/prod/work/dispatchLog/update', data })
}

// 删除DispatchLog
export const deleteDispatchLog = (id: number) => {
  return request.delete({ url: '/xmcpms/prod/work/dispatchLog/delete?id=' + id })
}

//导出DispatchLogList
export const exportDispatchLog = (params) => {
  return request.download({ url: '/xmcpms/prod/work/dispatchLog/export', params })
}

// 下载用户导入模板
export const importPointTemplate = () => {
  return request.download({ url: '/xmcpms/prod/work/dispatchLog/get-import-template' })
}
